#ifndef BATMON_H
#define BATMON_H
#include <avr/io.h>

#define ADC_CHANNEL 0
#define PORT_ADCC(t) t##C
#define PIN_ADCC (1 << 1)

#define PORT_CHI(t) t##B /* Charging indicator */
#define PIN_CHI (1 << 7)

// Nominal 3.7V: 195; Full 4.2V: 220
#define BAT_THRES_POWER_ON 175 // TODO: Minimum ADC value to allow turning the device on (3.3V)
#define BAT_THRES_POWER_OFF 165 // TODO: ADC value to (hard) power off the device. (3.1V)

void batmon_init();
uint8_t batmon_get_voltage();
uint8_t batmon_proc();
uint8_t batmon_ok_to_boot();
uint8_t batmon_is_charging();

#endif // BATMON_H
